r1175 - in trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian: . patches
Thiemo Seufer
ths-guest@haydn.debian.org
Tue, 17 Aug 2004 08:23:27 -0600
Author: ths-guest
Date: 2004-08-17 08:22:34 -0600 (Tue, 17 Aug 2004)
New Revision: 1175
Added:
trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/50_xxs1500-boardreset.dpatch
Modified:
trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/changelog
trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/00list
Log:
Add patch for xxs1500 board_reset function, 50_xxs1500-boardreset.dpatch.
Modified: trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/changelog
===================================================================
--- trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/changelog 2004-08-17 13:52:57 UTC (rev 1174)
+++ trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/changelog 2004-08-17 14:22:34 UTC (rev 1175)
@@ -7,6 +7,7 @@
20_swarm-TIOCGSERIAL.dpatch , 23_swarm-highmem-tlb.dpatch
and 41_ip22-ipv6.dpatch, they went in upstream.
* Update kernel configs.
+ * Add patch for xxs1500 board_reset function, 50_xxs1500-boardreset.dpatch.
-- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de> Sun, 15 Aug 2004 17:07:15 +0200
Modified: trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/00list
===================================================================
--- trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/00list 2004-08-17 13:52:57 UTC (rev 1174)
+++ trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/00list 2004-08-17 14:22:34 UTC (rev 1175)
@@ -9,3 +9,4 @@
31_dec-pmadaa.dpatch
32_dec-loadkeys.dpatch
40_ip22-hal2.dpatch
+50_xxs1500-boardreset.dpatch
Added: trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/50_xxs1500-boardreset.dpatch
===================================================================
--- trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/50_xxs1500-boardreset.dpatch 2004-08-17 13:52:57 UTC (rev 1174)
+++ trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/50_xxs1500-boardreset.dpatch 2004-08-17 14:22:34 UTC (rev 1175)
@@ -0,0 +1,39 @@
+#! /bin/sh -e
+## 50_xxs1500-boardreset.dpatch by Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: xxs1500 board_reset function.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+--- linux_2_4/arch/mips/au1000/xxs1500/board_setup.c.old 2004-08-17 16:12:39.000000000 +0200
++++ linux_2_4/arch/mips/au1000/xxs1500/board_setup.c 2004-08-17 16:15:29.000000000 +0200
+@@ -47,6 +47,12 @@
+
+ extern struct rtc_ops no_rtc_ops;
+
++void board_reset (void)
++{
++ /* Hit BCSR.SYSTEM_CONTROL[SW_RST] */
++ au_writel(0x00000000, 0xAE00001C);
++}
++
+ void __init board_setup(void)
+ {
+ u32 pin_func;
Property changes on: trunk/kernel-2.4/mips/kernel-patch-2.4.27-mips-2.4.27/debian/patches/50_xxs1500-boardreset.dpatch
___________________________________________________________________
Name: svn:executable
+ *